<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.portofolio</groupId>
	<artifactId>portofolio-language-manager</artifactId>
	<version>6.0.0</version>
	<organization>
		<name>Portofolio Language Manager</name>
		<url>portofolio.co.id</url>
	</organization>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.1.5.RELEASE</version>
		<relativePath />
	</parent>
	<properties>
		<lombok.version>1.18.8</lombok.version>
		<!-- 
		<mssql-jdbc.version>7.2.2.jre11</mssql-jdbc.version>
		<java.version>11</java.version>
		-->
		<mssql-jdbc.version>7.2.2.jre8</mssql-jdbc.version>
		<java.version>1.8</java.version>
		<maven.test.skip>true</maven.test.skip>		
	</properties>
	<dependencies>
		<dependency>
		    <groupId>org.springframework.boot</groupId>
		    <artifactId>spring-boot-starter-web</artifactId>
		    <exclusions>
		        <exclusion>
		            <groupId>org.springframework.boot</groupId>
		            <artifactId>spring-boot-starter-tomcat</artifactId>
		        </exclusion>
		    </exclusions>
		</dependency>
		<dependency>
		    <groupId>org.springframework.boot</groupId>
		    <artifactId>spring-boot-starter-undertow</artifactId>
		    <exclusions>
		    	<exclusion>
		    		<groupId>io.undertow</groupId>
					<artifactId>undertow-websockets-jsr</artifactId>
		    	</exclusion>
		    </exclusions>
		</dependency>
		<dependency>
		    <groupId>com.google.code.gson</groupId>
    		<artifactId>gson</artifactId>
		</dependency>
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<scope>provided</scope>
		</dependency>		
 	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>${java.version}</source>
					<target>${java.version}</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
			</plugin>
		</plugins>
	</build>
</project>